mksquashfs, unsquashfs naming

Trio reported that in the 2.6.29.6 build, there exists mksquashfs3, mksquashfs4, unsquashfs3 and unsquashfs4, with mksquashfs a symlink to mksquashfs4 and unsquashfs a symlink to unsquashfs4.

However, the build with 2.6.25.16 kernel only has mksquashfs, unsquashfs, mksquashfs4 and unsquashfs4.

I have modified things so that for the 2.6.25.16 build, it is also structured the same. That is, there exists mksquashfs3, mksquashfs4, unsquashfs3 and unsquashfs4, with mksquashfs a symlink to mksquashfs3 and unsquashfs a symlink to unsquashfs3.


Posted on 20 Aug 2009, 8:55


Comments:

Posted on 20 Aug 2009, 13:00 by lobster
Yeti again
What about sasquatch. Will that now exist?



Posted on 20 Aug 2009, 16:45 by ttuuxxx
mksquashfs
Hi Barry as you must know that I've been updating 2.14 and its at a pretty good spot now:) Still have a few minor bugs, but Its been a great team effort :) One of the things that I just can't seem to get is to update the squashfs to 3.3 so it could use 4 series sfs, I tried to patch the kernel but it gives me errors that the kernel has already been patched and doesn't let me remove the previous patches. I tried compiling just the tools and using them but when I boot with iso I get kernel panic errors due to the wrong squash being using. do you have 2.6.18.1 patched with 3.3 anywhere? or any insight on how to convert this over. I even tried building the sfs on series 4 and still had the panic issues.
Thanks Barry
ttuuxxx


Posted on 21 Aug 2009, 7:51 by BarryK
squashfs 3.3 for 2.6.18.x
ttuuxxx,
Kernel 2.6.18.8 is patched with squashfs 3.3. You can find it at
http://puppylinux.com/sources/

You can find the PET package at
http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet_packages-woof/linux_kernel-2.6.18.8-uniproc-pup218.pet

...you can expand the pet package and easily convert it to a form for use in Unleashed.

That 2.6.18.8 was what I used in the Woof-built 2.x Puppy that I was working on recently.